Get list of customers

Get a list of customer objects. By default, you get 20 results on one page of results. Set max in your request to get up to 100 results on one page.

See Search operations with lists in the Guides section for filtering, sorting, and pagination examples.

Query Params
int32 | null
1 to 100

Maximum number of results

string | null

Field name and sort order. Both simple and compound sorting is available.

The format is sort={field_01}:{sort_order},{field_02}:{sort_order}.

NOTE: Sorting occurs in the specified order.

string | null

Field name, operator, and value. Both simple and compound filtering is available.

The format is filters={field_01}:{op}:{value},{field_02}:{op}:{value}.

string | null

Next page of results.

When a list has multiple pages, the nextPage and prevPage values in the response enable you to navigate between the pages of results. Set page as the nextPage or prevPage value for navigation.

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json